Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.platform
Class ExternalFlash

    java.lang.Object
      avrora.sim.platform.ExternalFlash

public class ExternalFlash
extends java.lang.Object

The `ExternalFlash` class implements the necessary functionality of the Atmega Dataflash interface to use the Mica2 DataFlash This device requires use of the following pins:

PA3 - Flash Cable Seclect

PD2 - USART1_RXD PD3 - USART1_TXD PD5 - USART1_CLK

Nested Class Summary
`protected class` | `ExternalFlash.Delay`
`protected class` | `ExternalFlash.PA3Output`
`protected class` | `ExternalFlash.PD2Input`
`protected class` | `ExternalFlash.PD3Output`
`protected class` | `ExternalFlash.PD5Output`

Field Summary
`static int` | `DF_STATUS_COMPARE`
`static int` | `DF_STATUS_READY`
`static int` | `DF_STATUS_REGISTER_DENSITY`
`static int` | `DF_TBE`
`static int` | `DF_TEP`
`static int` | `DF_TP`
`static int` | `DF_TPE`
`static double` | `DF_TXFR`
`static boolean` | `ECHO_EVENT`
`protected Microcontroller` | `mcu`
`avrora.sim.platform.ExternalFlash.Memory` | `memory`
`protected Simulator` | `sim`
`protected FiniteStateMachine` | `stateMachine`

Constructor Summary
`ExternalFlash(Microcontroller mcunit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sim

    protected Simulator sim

### mcu

    protected Microcontroller mcu

### DF_STATUS_REGISTER_DENSITY

    public static final int DF_STATUS_REGISTER_DENSITY

See Also:
  Constant Field Values

### DF_STATUS_READY

    public static final int DF_STATUS_READY

See Also:
  Constant Field Values

### DF_STATUS_COMPARE

    public static final int DF_STATUS_COMPARE

See Also:
  Constant Field Values

### DF_TEP

    public static final int DF_TEP

See Also:
  Constant Field Values

### DF_TP

    public static final int DF_TP

See Also:
  Constant Field Values

### DF_TPE

    public static final int DF_TPE

See Also:
  Constant Field Values

### DF_TBE

    public static final int DF_TBE

See Also:
  Constant Field Values

### DF_TXFR

    public static final double DF_TXFR

See Also:
  Constant Field Values

### ECHO_EVENT

    public static final boolean ECHO_EVENT

### memory

    public avrora.sim.platform.ExternalFlash.Memory memory

### stateMachine

    protected final FiniteStateMachine stateMachine

Constructor Detail

### ExternalFlash

    public ExternalFlash(Microcontroller mcunit)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD